Skip to main content
GET
TypeScript SDK

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

page_number
number
default:1

The page number for pagination.

Example:

1

page_size
number
default:10

The number of items per page.

Example:

10

product_id
string

Filter discounts that apply to a specific product.

Example:

"prod_1234567890"

status
enum<string>

Filter by discount status.

Available options:
active,
deleted
type
enum<string>

Filter by discount type.

Available options:
percentage,
fixed
created_after
string

Filter discounts created after this date.

Example:

"2024-01-01T00:00:00Z"

created_before
string

Filter discounts created before this date.

Example:

"2024-12-31T23:59:59Z"

Response

Successfully retrieved the list of discounts

items
object[]
required

List of discount items

pagination
object
required

Pagination details for the list